---
title: Allow
slug: Web/HTTP/Headers/Allow
tags:
  - Entity header
  - HTTP
  - HTTP Header
  - Reference
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The <code><strong>Allow</strong></code> header lists the set of methods supported by a resource.</p>

<p>This header must be sent if the server responds with a {{HTTPStatus("405")}} <code>Method Not Allowed</code> status code to indicate which request methods can be used. An empty <code>Allow</code> header indicates that the resource allows no request methods, which might occur temporarily for a given resource, for example.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Entity header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Allow: &lt;http-methods&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;http-methods&gt;</dt>
 <dd>The comma-separated list of allowed <a href="/en-US/docs/Web/HTTP/Methods">HTTP request methods</a>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="notranslate">Allow: GET, POST, HEAD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7231", "Allow", "7.4.1")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </thead>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPStatus("405")}}</li>
 <li>{{HTTPHeader("Server")}}</li>
</ul>
